Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.audit
Class ProcessInstanceLog

    java.lang.Object
      org.jbpm.process.audit.ProcessInstanceLog

All Implemented Interfaces:
  Serializable, AuditEvent

    @Entity
    public class ProcessInstanceLog

extends Object
implements Serializable, AuditEvent

See Also:
  Serialized Form

Constructor Summary
`ProcessInstanceLog()`
`ProcessInstanceLog(long processInstanceId, String processId)`

Method Summary
`boolean` | `equals(Object obj)`
`Long` | `getDuration()`
`Date` | `getEnd()`
`String` | `getExternalId()`
`long` | `getId()`
`String` | `getIdentity()`
`String` | `getOutcome()`
`Long` | `getParentProcessInstanceId()`
`String` | `getProcessId()`
`long` | `getProcessInstanceId()`
`String` | `getProcessName()`
`String` | `getProcessVersion()`
`Date` | `getStart()`
`Integer` | `getStatus()`
`int` | `hashCode()`
`void` | `setDuration(Long duration)`
`void` | `setEnd(Date end)`
`void` | `setExternalId(String domainId)`
`void` | `setIdentity(String identity)`
`void` | `setOutcome(String errorCode)`
`void` | `setParentProcessInstanceId(long parentProcessInstanceId)`
`void` | `setProcessId(String processId)`
`void` | `setProcessName(String processName)`
`void` | `setProcessVersion(String version)`
`void` | `setStart(Date start)`
`void` | `setStatus(int status)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProcessInstanceLog

    public ProcessInstanceLog()

### ProcessInstanceLog

    public ProcessInstanceLog(long processInstanceId,
                              String processId)

Method Detail

### getId

    public long getId()

### getProcessInstanceId

    public long getProcessInstanceId()

### getProcessId

    public String getProcessId()

### setProcessId

    public void setProcessId(String processId)

### getStart

    public Date getStart()

### setStart

    public void setStart(Date start)

### getEnd

    public Date getEnd()

### setEnd

    public void setEnd(Date end)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### getStatus

    public Integer getStatus()

### setStatus

    public void setStatus(int status)

### getParentProcessInstanceId

    public Long getParentProcessInstanceId()

### setParentProcessInstanceId

    public void setParentProcessInstanceId(long parentProcessInstanceId)

### getOutcome

    public String getOutcome()

### setOutcome

    public void setOutcome(String errorCode)

### getDuration

    public Long getDuration()

### setDuration

    public void setDuration(Long duration)

### getIdentity

    public String getIdentity()

### setIdentity

    public void setIdentity(String identity)

### getExternalId

    public String getExternalId()

### setExternalId

    public void setExternalId(String domainId)

### getProcessVersion

    public String getProcessVersion()

### setProcessVersion

    public void setProcessVersion(String version)

### getProcessName

    public String getProcessName()

### setProcessName

    public void setProcessName(String processName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.